
Redmine - Defect #20723

Update redmine 3.0.3 -> 3.1.0

2015-09-11 14:05 - Krakozaber Krakozaber

Status: Closed Start date:  

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.1.0

Description

Processing by ProjectsController#settings as HTML

  Parameters: {"id"=>"cex_asu"}

  Setting Load (0.7ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER B

Y "settings"."id" DESC LIMIT 1  [["name", "session_lifetime"]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER B

Y "settings"."id" DESC LIMIT 1  [["name", "session_timeout"]]

   (0.6ms)  SELECT MAX("settings"."updated_on") FROM "settings" 

  User Load (1.1ms)  SELECT  "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUse

r') AND "users"."status" = $1 AND "users"."id" = $2 LIMIT 1  [["status", 1], ["id", 1]]

  Current user: admin (id=1)

  Setting Load (0.9ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER B

Y "settings"."id" DESC LIMIT 1  [["name", "force_default_language_for_loggedin"]]

  Project Load (0.8ms)  SELECT  "projects".* FROM "projects" WHERE "projects"."identifier" = $1 LI

MIT 1  [["identifier", "cex_asu"]]

   (0.5ms)  SELECT "enabled_modules"."name" FROM "enabled_modules" WHERE "enabled_modules"."projec

t_id" = $1  [["project_id", 278]]

  IssueCustomField Load (0.7ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE "custom_field

s"."type" IN ('IssueCustomField')  ORDER BY "custom_fields"."position" ASC

  Tracker Load (0.8ms)  SELECT "trackers".* FROM "trackers"  ORDER BY "trackers"."position" ASC

  Wiki Load (0.5ms)  SELECT  "wikis".* FROM "wikis" WHERE "wikis"."project_id" = $1 LIMIT 1  [["pr

oject_id", 278]]

  Project Load (4.3ms)  SELECT "projects".* FROM "projects" WHERE (projects.status = 1)

  Project Load (1.6ms)  SELECT "projects".* FROM "projects" WHERE (projects.lft >= 437 AND project

s.rgt <= 438)  ORDER BY "projects"."lft" ASC

  Setting Load (0.7ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER B

Y "settings"."id" DESC LIMIT 1  [["name", "text_formatting"]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER B

Y "settings"."id" DESC LIMIT 1  [["name", "ui_theme"]]

  CustomField Load (0.6ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE (type = 'ProjectCu

stomField')  ORDER BY "custom_fields"."position" ASC

  EnabledModule Load (0.5ms)  SELECT "enabled_modules".* FROM "enabled_modules" WHERE "enabled_mod

ules"."project_id" = $1  [["project_id", 278]]

  Tracker Load (0.9ms)  SELECT "trackers".* FROM "trackers" INNER JOIN "projects_trackers" ON "tra

ckers"."id" = "projects_trackers"."tracker_id" WHERE "projects_trackers"."project_id" = $1  ORDER 

BY "trackers"."position" ASC  [["project_id", 278]]

  Rendered projects/_form.html.erb (84.3ms)

  Rendered projects/_edit.html.erb (89.8ms)

  Rendered projects/settings/_modules.html.erb (7.5ms)

  Role Load (0.7ms)  SELECT "roles".* FROM "roles" WHERE "roles"."builtin" = $1  ORDER BY "roles".

"position" ASC  [["builtin", 0]]

  Member Load (0.9ms)  SELECT "members".* FROM "members" WHERE "members"."project_id" = $1  [["pro

ject_id", 278]]

  Rendered projects/settings/_members.html.erb (44.7ms)

  Rendered common/_tabs.html.erb (160.2ms)

  Rendered projects/settings.html.erb within layouts/base (811.5ms)

Completed 500 Internal Server Error in 1202ms (ActiveRecord: 33.4ms)

ActionView::Template::Error (undefined method `active' for #<Member::ActiveRecord_Associations_Col

lectionProxy:0x00000007c4b510>):

    1: <% roles = Role.find_all_givable

    2:    members = @project.memberships.active.includes(:member_roles, :roles, :principal).to_a.s
ort %>

    3: 

    4: <p><%= link_to l(:label_member_new), new_project_membership_path(@project), :remote => true

, :class => "icon icon-add" %></p>

    5: 

  app/views/projects/settings/_members.html.erb:2:in `_app_views_projects_settings__members_html_e

rb__1971783444685096775_66340280'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb__38711890251664

43250_44850440'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb__3871189025166443250_448

50440'

  app/helpers/application_helper.rb:322:in `render_tabs'

  app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__36295269875681

22444_45015160'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

History

#1 - 2015-09-11 14:55 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Please see Submissions.

Check that you use clean source or your plugins override this code.

source:tags/3.1.0/app/models/member.rb#L32

scope :active, lambda { joins(:principal).where(:users => {:status => Principal::STATUS_ACTIVE})}

#2 - 2015-09-11 15:09 - Krakozaber Krakozaber

Environment:

  Redmine version                3.1.0.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [x86_64-linux]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               PostgreSQL (9.3)

SCM:

  Subversion                     1.6.17

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  redmine_checklists             3.1.1

  redmine_ldap_sync              2.0.7.devel

  redmine_xapian                 1.6.3 devel

 
Processing by ProjectsController#settings as HTML

  Parameters: {"id"=>"cex_asu"}

  Setting Load (0.8ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "session_lifetime"]]

  Setting Load (0.5ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "session_timeout"]]

   (0.6ms)  SELECT MAX("settings"."updated_on") FROM "settings" 

  User Load (1.0ms)  SELECT  "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUser') AND "use

rs"."status" = $1 AND "users"."id" = $2 LIMIT 1  [["status", 1], ["id", 16]]

  Current user: pky50257 (id=16)

  Setting Load (0.8ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "force_default_language_for_loggedin"]]

  Project Load (0.8ms)  SELECT  "projects".* FROM "projects" WHERE "projects"."identifier" = $1 LIMIT 1  [["id

entifier", "cex_asu"]]

   (0.5ms)  SELECT "enabled_modules"."name" FROM "enabled_modules" WHERE "enabled_modules"."project_id" = $1  

[["project_id", 278]]

  Member Load (0.9ms)  SELECT  "members".* FROM "members" INNER JOIN "projects" ON "projects"."id" = "members"

."project_id" WHERE "members"."user_id" = $1 AND (projects.status<>9) AND "members"."project_id" = $2  ORDER B

Y projects.name LIMIT 1  [["user_id", 16], ["project_id", 278]]

  Project Load (0.8ms)  SELECT "projects".* FROM "projects" WHERE "projects"."id" IN (278)

  MemberRole Load (0.6ms)  SELECT "member_roles".* FROM "member_roles" WHERE "member_roles"."member_id" IN (12

32)

  Role Load (0.8ms)  SELECT "roles".* FROM "roles" WHERE "roles"."id" IN (3)

  Role Load (0.6ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "membe

r_roles"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  IssueCustomField Load (0.7ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE "custom_fields"."type" IN
 ('IssueCustomField')  ORDER BY "custom_fields"."position" ASC

  Tracker Load (0.6ms)  SELECT "trackers".* FROM "trackers"  ORDER BY "trackers"."position" ASC

  Wiki Load (0.5ms)  SELECT  "wikis".* FROM "wikis" WHERE "wikis"."project_id" = $1 LIMIT 1  [["project_id", 2

78]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  CACHE (0.0ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  Role Load (0.5ms)  SELECT  "roles".* FROM "roles" WHERE "roles"."builtin" = $1  ORDER BY "roles"."id" ASC LI

MIT 1  [["builtin", 1]]

  Member Load (2.7ms)  SELECT "members".* FROM "members" INNER JOIN "projects" ON "projects"."id" = "members".

"project_id" INNER JOIN "users" ON "users"."id" = "members"."user_id" WHERE (projects.status <> 9) AND (member

s.user_id = 16 OR (projects.is_public = 't' AND users.type = 'GroupNonMember'))

  Project Load (1.7ms)  SELECT "projects".* FROM "projects" WHERE "projects"."id" IN (85, 21, 12, 29, 16, 219,

 220, 221, 222, 229, 44, 230, 240, 242, 36, 93, 41, 19, 20, 78, 5, 142, 210, 151, 217, 152, 28, 65, 236, 234, 

235, 271, 150, 278, 279, 280, 282, 283, 284, 285, 286, 287, 288)

  MemberRole Load (0.9ms)  SELECT "member_roles".* FROM "member_roles" WHERE "member_roles"."member_id" IN (63

3, 643, 39, 335, 336, 890, 894, 900, 904, 941, 1012, 984, 989, 1007, 171, 536, 215, 317, 346, 415, 495, 728, 8

31, 870, 876, 1013, 1019, 1022, 1023, 1036, 1126, 1137, 1218, 1232, 1242, 1247, 1253, 1258, 1277, 1283, 1289, 

1295, 1310)

  Role Load (0.6ms)  SELECT "roles".* FROM "roles" WHERE "roles"."id" IN (7, 6, 4, 3)

  Project Load (1.1ms)  SELECT "projects".* FROM "projects" WHERE (((projects.status = 1) AND (projects.id IN 

(21,12,29,16,242,93,41,19,20,78,5,142,210,151,217,28) OR projects.id IN (44,230,240,36,152,236,234,235,271,278

,279,280,282,283,284,285,286,287,288))))

  Project Load (0.6ms)  SELECT "projects".* FROM "projects" WHERE (projects.lft >= 435 AND projects.rgt <= 436

)  ORDER BY "projects"."lft" ASC

  Member Load (1.0ms)  SELECT "members".* FROM "members" INNER JOIN "projects" ON "projects"."id" = "members".

"project_id" WHERE "members"."user_id" = $1 AND (projects.status<>9)  ORDER BY projects.name  [["user_id", 16]

]

  Project Load (1.1ms)  SELECT "projects".* FROM "projects" WHERE "projects"."id" IN (21, 29, 19, 16, 28, 229,

 236, 221, 210, 41, 230, 217, 20, 78, 44, 282, 12, 235, 150, 288, 5, 285, 284, 287, 279, 36, 234, 271, 152, 15

1, 240, 142, 280, 219, 222, 242, 85, 283, 65, 93, 220, 286, 278)

  MemberRole Load (0.7ms)  SELECT "member_roles".* FROM "member_roles" WHERE "member_roles"."member_id" IN (64

3, 335, 317, 336, 1019, 941, 1023, 900, 831, 215, 984, 876, 346, 415, 1012, 1253, 39, 1126, 1218, 1310, 495, 1

283, 1277, 1295, 1242, 171, 1036, 1137, 1013, 870, 989, 728, 1247, 890, 904, 1007, 633, 1258, 1022, 536, 894, 

1289, 1232)

  Role Load (0.9ms)  SELECT "roles".* FROM "roles" WHERE "roles"."id" IN (6, 7, 4, 3)

  CACHE (0.0ms)  SELECT  "roles".* FROM "roles" WHERE "roles"."builtin" = $1  ORDER BY "roles"."id" ASC LIMIT 

1  [["builtin", 1]]

  CACHE (0.1ms)  SELECT DISTINCT "roles".* FROM "roles" INNER JOIN "member_roles" ON "roles"."id" = "member_ro

les"."role_id" WHERE "member_roles"."member_id" = $1  [["member_id", 1232]]

  Setting Load (0.6ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "text_formatting"]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "ui_theme"]]

  CustomField Load (0.7ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE (type = 'ProjectCustomField') 

 ORDER BY "custom_fields"."position" ASC

  EnabledModule Load (0.4ms)  SELECT "enabled_modules".* FROM "enabled_modules" WHERE "enabled_modules"."proje

ct_id" = $1  [["project_id", 278]]

  Tracker Load (0.7ms)  SELECT "trackers".* FROM "trackers" INNER JOIN "projects_trackers" ON "trackers"."id" 

= "projects_trackers"."tracker_id" WHERE "projects_trackers"."project_id" = $1  ORDER BY "trackers"."position"

 ASC  [["project_id", 278]]

  Rendered projects/_form.html.erb (178.9ms)

  Rendered projects/_edit.html.erb (183.3ms)

  Rendered projects/settings/_modules.html.erb (6.4ms)

  Role Load (0.7ms)  SELECT "roles".* FROM "roles" WHERE "roles"."builtin" = $1  ORDER BY "roles"."position" A

SC  [["builtin", 0]]

  SQL (3.3ms)  SELECT "members"."id" AS t0_r0, "members"."user_id" AS t0_r1, "members"."project_id" AS t0_r2, 

"members"."created_on" AS t0_r3, "members"."mail_notification" AS t0_r4, "members"."dmsf_mail_notification" AS

 t0_r5, "member_roles"."id" AS t1_r0, "member_roles"."member_id" AS t1_r1, "member_roles"."role_id" AS t1_r2, 

"member_roles"."inherited_from" AS t1_r3, "roles"."id" AS t2_r0, "roles"."name" AS t2_r1, "roles"."position" A

S t2_r2, "roles"."assignable" AS t2_r3, "roles"."builtin" AS t2_r4, "roles"."permissions" AS t2_r5, "roles"."i

ssues_visibility" AS t2_r6, "roles"."users_visibility" AS t2_r7, "roles"."time_entries_visibility" AS t2_r8, "

roles"."all_roles_managed" AS t2_r9, "users"."id" AS t3_r0, "users"."login" AS t3_r1, "users"."hashed_password

" AS t3_r2, "users"."firstname" AS t3_r3, "users"."lastname" AS t3_r4, "users"."admin" AS t3_r5, "users"."stat

us" AS t3_r6, "users"."last_login_on" AS t3_r7, "users"."language" AS t3_r8, "users"."auth_source_id" AS t3_r9

, "users"."created_on" AS t3_r10, "users"."updated_on" AS t3_r11, "users"."type" AS t3_r12, "users"."identity_
url" AS t3_r13, "users"."mail_notification" AS t3_r14, "users"."salt" AS t3_r15, "users"."jid" AS t3_r16, "use

rs"."jid_token" AS t3_r17, "users"."jid_authenticated" AS t3_r18, "users"."must_change_passwd" AS t3_r19, "use

rs"."passwd_changed_on" AS t3_r20 FROM "members" INNER JOIN "users" ON "users"."id" = "members"."user_id" LEFT

 OUTER JOIN "member_roles" ON "member_roles"."member_id" = "members"."id" LEFT OUTER JOIN "member_roles" "memb

er_roles_members_join" ON "member_roles_members_join"."member_id" = "members"."id" LEFT OUTER JOIN "roles" ON 

"roles"."id" = "member_roles_members_join"."role_id" WHERE "members"."project_id" = $1 AND "users"."status" = 

$2  [["project_id", 278], ["status", 1]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "user_format"]]

  Rendered projects/settings/_members.html.erb (62.9ms)

  Rendered common/_tabs.html.erb (268.8ms)

  Rendered projects/settings.html.erb within layouts/base (926.9ms)

Completed 500 Internal Server Error in 1526ms (ActiveRecord: 46.6ms)

ActionView::Template::Error (undefined method `role_editable?' for #<Member:0x00000007a33cc8>):

    32:             <%= check_box_tag('membership[role_ids][]',

    33:                               role.id, member.roles.include?(role),

    34:                               :id => nil,

    35:                               :disabled => !member.role_editable?(role)) %> <%= role %>

    36:           </label><br />

    37:           <% end %>

    38:         </p>

  app/views/projects/settings/_members.html.erb:35:in `block (3 levels) in _app_views_projects_settings__membe

rs_html_erb__3886315243649697529_63834200'

  app/views/projects/settings/_members.html.erb:30:in `each'

  app/views/projects/settings/_members.html.erb:30:in `block (2 levels) in _app_views_projects_settings__membe

rs_html_erb__3886315243649697529_63834200'

  app/views/projects/settings/_members.html.erb:23:in `block in _app_views_projects_settings__members_html_erb

__3886315243649697529_63834200'

  app/views/projects/settings/_members.html.erb:17:in `each'

  app/views/projects/settings/_members.html.erb:17:in `_app_views_projects_settings__members_html_erb__3886315

243649697529_63834200'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb__4428776050512221364_386650

80'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb__4428776050512221364_38665080'

  app/helpers/application_helper.rb:322:in `render_tabs'

  app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__3413493905076898554_382221

60'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#3 - 2015-09-11 15:21 - Toshi MARUYAMA

Try without plugins.

#4 - 2015-09-11 15:24 - Toshi MARUYAMA

I think you forgot to run db:migrate because "Member#role_editable?' is defined by r14293.

#5 - 2015-09-11 15:33 - Krakozaber Krakozaber

Install process:

/var/lib/gems/1.9.1/bin/bundle install && rake1.9.1 redmine:plugins:migrate RAILS_ENV=production && /var/lib/g

ems/1.9.1/bin/bundle exec rake db:migrate RAILS_ENV=production

Using rake (10.3.2)

Using i18n (0.7.0)

Using json (1.8.1)

Using minitest (5.3.2)

Using thread_safe (0.3.4)

Using tzinfo (1.1.0)

Using activesupport (4.2.3)

Using builder (3.2.2)

Using erubis (2.7.0)

Using mini_portile (0.5.3)

Using nokogiri (1.6.1)

Using rails-deprecated_sanitizer (1.0.3)

Using rails-dom-testing (1.0.7)

Using loofah (2.0.1)

Using rails-html-sanitizer (1.0.2)

Using actionview (4.2.3)

Using rack (1.6.0)

Using rack-test (0.6.2)

Using actionpack (4.2.3)

Using globalid (0.3.5)
Using activejob (4.2.3)

Using mime-types (1.25.1)

Using polyglot (0.3.5)

Using treetop (1.4.15)

Using mail (2.5.4)

Using actionmailer (4.2.3)

Using actionpack-action_caching (1.1.1)

Using actionpack-xml_parser (1.0.2)

Using activemodel (4.2.3)

Using arel (6.0.0)

Using activerecord (4.2.3)

Using activerecord-tableless (1.0.2)

Using coderay (1.1.0)

Using hike (1.2.3)

Using thor (0.19.1)

Using railties (4.2.3)

Using jquery-rails (3.1.3)

Using multi_json (1.10.1)

Using net-ldap (0.3.1)

Using pg (0.18.3)

Using protected_attributes (1.0.9)

Using ruby-openid (2.3.0)

Using rack-openid (1.4.2)

Using bundler (1.5.3)

Using tilt (1.4.1)

Using sprockets (2.12.0)

Using sprockets-rails (2.0.1)

Using rails (4.2.3)

Using rbpdf (1.18.6)

Using redcarpet (3.1.2)

Using request_store (1.0.5)

Using rmagick (2.14.0)

Using will_paginate (3.0.5)

Using xapian-ruby (1.2.19.1)

Using xmpp4r (0.5.6)

Your bundle is complete!

Gems in the groups development and test were not installed.

Use `bundle show [gemname]` to see where a bundled gem is installed.

Migrating redmine_checklists (Redmine Checklists plugin (Light version))...

Migrating redmine_ldap_sync (Redmine LDAP Sync)...

Migrating redmine_xapian (Xapian search plugin)...

== 20150510083747 ChangeDocumentsTitleLimit: migrating ========================

-- change_column(:documents, :title, :string, {:limit=>nil, :default=>"", :null=>false})

   -> 0.0063s

== 20150510083747 ChangeDocumentsTitleLimit: migrated (0.0069s) ===============

== 20150525103953 ClearEstimatedHoursOnParentIssues: migrating ================

== 20150525103953 ClearEstimatedHoursOnParentIssues: migrated (0.0081s) =======

== 20150526183158 AddRolesTimeEntriesVisibility: migrating ====================

-- add_column(:roles, :time_entries_visibility, :string, {:limit=>30, :default=>"all", :null=>false})

   -> 0.0091s

== 20150526183158 AddRolesTimeEntriesVisibility: migrated (0.0095s) ===========

== 20150528084820 AddRolesAllRolesManaged: migrating ==========================

-- add_column(:roles, :all_roles_managed, :boolean, {:default=>true, :null=>false})

   -> 0.0082s

== 20150528084820 AddRolesAllRolesManaged: migrated (0.0087s) =================

== 20150528092912 CreateRolesManagedRoles: migrating ==========================

-- create_table(:roles_managed_roles, {:id=>false})

   -> 0.0014s

== 20150528092912 CreateRolesManagedRoles: migrated (0.0020s) =================

== 20150528093249 AddUniqueIndexOnRolesManagedRoles: migrating ================

-- add_index(:roles_managed_roles, [:role_id, :managed_role_id], {:unique=>true})

   -> 0.0054s

== 20150528093249 AddUniqueIndexOnRolesManagedRoles: migrated (0.0061s) =======

#6 - 2015-09-11 15:38 - Krakozaber Krakozaber

whithout plugins:

Processing by ProjectsController#settings as HTML

  Parameters: {"id"=>"cex_asu"}
  Setting Load (1.0ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "session_lifetime"]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "session_timeout"]]

   (0.7ms)  SELECT MAX("settings"."updated_on") FROM "settings" 

  User Load (1.0ms)  SELECT  "users".* FROM "users" WHERE "users"."type" IN ('User', 'AnonymousUser') AND "use

rs"."status" = $1 AND "users"."id" = $2 LIMIT 1  [["status", 1], ["id", 1]]

  Current user: admin (id=1)

  Setting Load (0.8ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "force_default_language_for_loggedin"]]

  Project Load (0.8ms)  SELECT  "projects".* FROM "projects" WHERE "projects"."identifier" = $1 LIMIT 1  [["id

entifier", "cex_asu"]]

   (0.5ms)  SELECT "enabled_modules"."name" FROM "enabled_modules" WHERE "enabled_modules"."project_id" = $1  

[["project_id", 278]]

  IssueCustomField Load (0.7ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE "custom_fields"."type" IN

 ('IssueCustomField')  ORDER BY "custom_fields"."position" ASC

  Tracker Load (0.6ms)  SELECT "trackers".* FROM "trackers"  ORDER BY "trackers"."position" ASC

  Wiki Load (0.4ms)  SELECT  "wikis".* FROM "wikis" WHERE "wikis"."project_id" = $1 LIMIT 1  [["project_id", 2

78]]

  Project Load (3.7ms)  SELECT "projects".* FROM "projects" WHERE (projects.status = 1)

  Project Load (0.9ms)  SELECT "projects".* FROM "projects" WHERE (projects.lft >= 435 AND projects.rgt <= 436

)  ORDER BY "projects"."lft" ASC

  Setting Load (0.6ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "text_formatting"]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "ui_theme"]]

  CustomField Load (0.6ms)  SELECT "custom_fields".* FROM "custom_fields" WHERE (type = 'ProjectCustomField') 

 ORDER BY "custom_fields"."position" ASC

  EnabledModule Load (0.4ms)  SELECT "enabled_modules".* FROM "enabled_modules" WHERE "enabled_modules"."proje

ct_id" = $1  [["project_id", 278]]

  Tracker Load (0.7ms)  SELECT "trackers".* FROM "trackers" INNER JOIN "projects_trackers" ON "trackers"."id" 

= "projects_trackers"."tracker_id" WHERE "projects_trackers"."project_id" = $1  ORDER BY "trackers"."position"

 ASC  [["project_id", 278]]

  Rendered projects/_form.html.erb (67.5ms)

  Rendered projects/_edit.html.erb (72.1ms)

  Rendered projects/settings/_modules.html.erb (6.5ms)

  Role Load (0.7ms)  SELECT "roles".* FROM "roles" WHERE "roles"."builtin" = $1  ORDER BY "roles"."position" A

SC  [["builtin", 0]]

  SQL (3.6ms)  SELECT "members"."id" AS t0_r0, "members"."user_id" AS t0_r1, "members"."project_id" AS t0_r2, 

"members"."created_on" AS t0_r3, "members"."mail_notification" AS t0_r4, "members"."dmsf_mail_notification" AS

 t0_r5, "member_roles"."id" AS t1_r0, "member_roles"."member_id" AS t1_r1, "member_roles"."role_id" AS t1_r2, 

"member_roles"."inherited_from" AS t1_r3, "roles"."id" AS t2_r0, "roles"."name" AS t2_r1, "roles"."position" A

S t2_r2, "roles"."assignable" AS t2_r3, "roles"."builtin" AS t2_r4, "roles"."permissions" AS t2_r5, "roles"."i

ssues_visibility" AS t2_r6, "roles"."users_visibility" AS t2_r7, "roles"."time_entries_visibility" AS t2_r8, "

roles"."all_roles_managed" AS t2_r9, "users"."id" AS t3_r0, "users"."login" AS t3_r1, "users"."hashed_password

" AS t3_r2, "users"."firstname" AS t3_r3, "users"."lastname" AS t3_r4, "users"."admin" AS t3_r5, "users"."stat

us" AS t3_r6, "users"."last_login_on" AS t3_r7, "users"."language" AS t3_r8, "users"."auth_source_id" AS t3_r9

, "users"."created_on" AS t3_r10, "users"."updated_on" AS t3_r11, "users"."type" AS t3_r12, "users"."identity_

url" AS t3_r13, "users"."mail_notification" AS t3_r14, "users"."salt" AS t3_r15, "users"."jid" AS t3_r16, "use

rs"."jid_token" AS t3_r17, "users"."jid_authenticated" AS t3_r18, "users"."must_change_passwd" AS t3_r19, "use

rs"."passwd_changed_on" AS t3_r20 FROM "members" INNER JOIN "users" ON "users"."id" = "members"."user_id" LEFT

 OUTER JOIN "member_roles" ON "member_roles"."member_id" = "members"."id" LEFT OUTER JOIN "member_roles" "memb

er_roles_members_join" ON "member_roles_members_join"."member_id" = "members"."id" LEFT OUTER JOIN "roles" ON 

"roles"."id" = "member_roles_members_join"."role_id" WHERE "members"."project_id" = $1 AND "users"."status" = 

$2  [["project_id", 278], ["status", 1]]

  Setting Load (0.4ms)  SELECT  "settings".* FROM "settings" WHERE "settings"."name" = $1  ORDER BY "settings"

."id" DESC LIMIT 1  [["name", "user_format"]]

  Rendered projects/settings/_members.html.erb (164.9ms)

  Rendered common/_tabs.html.erb (259.6ms)

  Rendered projects/settings.html.erb within layouts/base (909.4ms)

Completed 500 Internal Server Error in 1291ms (ActiveRecord: 34.9ms)

ActionView::Template::Error (undefined method `role_editable?' for #<Member:0x00000005388e70>):

    32:             <%= check_box_tag('membership[role_ids][]',

    33:                               role.id, member.roles.include?(role),

    34:                               :id => nil,

    35:                               :disabled => !member.role_editable?(role)) %> <%= role %>

    36:           </label><br />

    37:           <% end %>

    38:         </p>

  app/views/projects/settings/_members.html.erb:35:in `block (3 levels) in _app_views_projects_settings__membe

rs_html_erb___1806584175022450662_65408960'

  app/views/projects/settings/_members.html.erb:30:in `each'

  app/views/projects/settings/_members.html.erb:30:in `block (2 levels) in _app_views_projects_settings__membe

rs_html_erb___1806584175022450662_65408960'
  app/views/projects/settings/_members.html.erb:23:in `block in _app_views_projects_settings__members_html_erb

___1806584175022450662_65408960'

  app/views/projects/settings/_members.html.erb:17:in `each'

  app/views/projects/settings/_members.html.erb:17:in `_app_views_projects_settings__members_html_erb___180658

4175022450662_65408960'

  app/views/common/_tabs.html.erb:22:in `block in _app_views_common__tabs_html_erb__3881083558169529817_436444

00'

  app/views/common/_tabs.html.erb:21:in `each'

  app/views/common/_tabs.html.erb:21:in `_app_views_common__tabs_html_erb__3881083558169529817_43644400'

  app/helpers/application_helper.rb:322:in `render_tabs'

  app/views/projects/settings.html.erb:3:in `_app_views_projects_settings_html_erb__2146101098285802789_436260

60'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

#7 - 2015-09-11 15:49 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

Krakozaber Krakozaber wrote:

Install process:

Why do you use "rake1.9.1" instead of "rake" or "bundle exec rake"?

You need to run "db:migrate" before "redmine:plugins:migrate".

I think your installation is broken.

If you have backup, try upgrade again.

We cannot provide technical support.

Please use forum for technical questions.

Please create new issue if you believe it is Redmine core problem, not plugin problem.
